Ga naar inhoud
  • 0

SuSe 8.0: instellen installatie medium


anoniem

Vraag

Hallo, Als fervent SuSE gebruiker (en vraagbaak) upgrade ik altijd naar de nieuwste versies van SuSE. Uiteraard omdat ik daarmee de ontwikkelingen van SuSE ook een beetje in het oog kan houden. Dat betekent dus SuSE 8.0 downloaden en (vanaf bootfloppy) de installatie starten. SuSE heeft echter een hardnekkig probleem: de partitie waarop de distributie is gedownload mag niet automatisch gemount worden in /etc/fstab omdat anders de configuratie niet kan plaatsvinden. Voorbeeld: SuSE 8.0 staat op /dev/hda5 (fat32) in de SuSE_8.0 directory. Normaalgesproken wordt deze schijf in /etc/fstab altijd gemount, zodat ik onder linux deze schijf (van 30 gig) kan gebruiken. Echter: bij het starten van de SuSe 8.0 upgrade krijg ik een foutmelding, namelijk dat 1 of meer partities niet gemount kunnen worden. Wat is namelijk het geval? /dev/hda5 wordt tijdens de installatie als eerste gemount als installatie medium. Daarna kijkt SuSe op de overige linux-partities om de root-partitie te vinden. Als deze root-partitie is gevonden, worden meteen alle schijven in /etc/fstab gemount. /dev/hda5 was al gemount, dus dat ging niet meer. Ergo: SuSE weigert de update met een foutmelding. Voor deze ouwe rot is de 'work-around' uiteraard erg simpel: in /etc/fstab de entry naar /dev/hda5 uitzetten. Heb ik gedaan en de installatie startte keurig netjes op. Is betrekkelijk goed verlopen op wat problemen met de KDE desktop (ik had KDE 3.0 namelijk al draaien), printen en YaST2 na. Alle problemen zijn opgelost, behalve die met YaSY2. Wat is namelijk het geval. In YaST2 kan je het installatiemedium opgeven: CDROM, netwerk, of harde schijf. Ik wil dus het pad naar het installatiemedium opgeven (harde schijf), maar dat kan dus NIET!!! Waarom? Omdat YaST2 steeds probeert een partitie te mounten die al gemount is en ik kan YaST2 er niet toe bewegen dat stomme mounten nou eens te laten. Met andere woorden: heel veel functies van YaST2 werken niet, omdat mijn installatiemedium niet te benaderen is en niet benaderbaar is te krijgen!!! Mijn vraag is dus: weet iemand waar de configuratiefile van YaST2 staat, zodat ik die flauwekul er keihard uit kan flikkeren? Of heeft iemand een andere oplossing? Ik heb al vanalles geprobeerd, maar je weet maar nooit. Groet, Philip
Link naar reactie

6 antwoorden op deze vraag

Aanbevolen berichten

  • 0
Hoi Walter [quote:1ed7253987="wstolk"]voorheen kon je ook een directorie opgeven als installatie-medium, is dat nu niet meer ???[/quote:1ed7253987] Dat is dus juist het probleem! Ik geef een installatiedirectory op, maar eigenwijs dat YaST2 is, probeert YaST2 toch echt een schijf te mounten. Alsof dat nog niet genoeg is, wordt als gevolgde daarvan de directory die ik opgeeft achter '/var/adm/mount' geplakt! Probeer dan de juiste directory maar eens op te geven. Groet, Philip
Link naar reactie
  • 0
is idd kl#te met Yast2 :( Heb een image van wateengedoe2 gekregen omdat mijn eerste cd stuk is en nu zegt Yast 2 dus steevast dat ik de verkeerde versie heb terwijl het dus echt 7.3 is :( en dus kan ik niet vanuit een directorie installeren :( yast 1 geeft geen probleem omdat die dus niet het versie nummer checkt. zal het ook nog wel een keer in 8.0 (testomgeving) bekijken misschien dat het te omzeilen is anders toch maar ftp installatie ??
Link naar reactie
  • 0
Hoi, Ik heb het zelf nog maar eens een keertje geprobeerd en met succes! Voor de geinteresseerden: YaST2 slaat (onder SuSE 8.0) zijn (installatie)instellingen op in: /var/lib/YaST2/installmap.ycp Na het editen van deze file (uiteraard na het maken van een backup!), heb ik geen problemen meer met YaST2 en het onterecht mounten van mijn installatiemedium. Dingen die ik moest wijzigen waren de variabelen: instmode":"cd" ('cd' moest 'hd' zijn) partition":"hda5" (moest "" zijn; GEEN partitie mounten) "serverdir":"/windows/D/SuSE_8.0" (stond al goed...) + verwijderen van de variabele: "sourcemounted":"1" YaST2 klaagt nog steeds over het niet kunnen identificeren van de CD-versie, maar installeert verder wel zonder mekkeren. Pfff, eindelijk!!! Groetjes, Philip
Link naar reactie
  • 0
Hallo ahbart, Dat is een ander probleem. Het installeren van rpm-pakketten die niet op het installatiemedium staan wordt domweg niet meer door YaST2 ondersteund. In de support database staat een erg omslachtig verhaal over hoe het dan wel zou kunnen: http://sdb.suse.de/en/sdb/html/wessels_packageinst.html Kortom: kpackage gebruiken en daarna SuSEconfig (let op kleine en hoofdletters) draaien. Groet, Philip
Link naar reactie

Doe mee aan dit gesprek

Om te reageren, moet je eerst inloggen. Dit doe je door rechtsboven op inloggen te klikken.

Gast
Antwoord op deze vraag...

×   Geplakt als verrijkte tekst.   Plak in plaats daarvan als platte tekst

  Er zijn maximaal 75 emoji toegestaan.

×   Je link werd automatisch ingevoegd.   Tonen als normale link

×   Je vorige inhoud werd hersteld.   Leeg de tekstverwerker

×   Je kunt afbeeldingen niet direct plakken. Upload of voeg afbeeldingen vanaf een URL in

×
×
  • Nieuwe aanmaken...